<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/md_blue_500</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>
    <style name="OtherTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/md_blue_500</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>
    <!--登录页面-->
    <style name="LinearLayoutLoginStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:background">@drawable/bg_white_item</item>
        <item name="android:orientation">horizontal</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:padding">@dimen/dp_10</item>

    </style>

    <!--首页上图下字-->
    <style name="ImageViewWithTextStyle">
        <item name="android:clickable">true</item>
        <item name="android:layout_width">0dp</item>
        <item name="android:gravity">center_horizontal</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
    </style>

    <style name="ImageViewWithTextStyle.FontSize">
        <item name="android:textSize">@dimen/t20</item>
    </style>

    <!--首页圆角白底-->
    <style name="LinearLayoutCornerStyle">
        <item name="android:padding">10dp</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:background">@drawable/bg_white_item</item>
        <item name="android:orientation">horizontal</item>
    </style>


    <!--收货页textview-->
    <style name="TextViewRowleftStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:textColor">@color/black_3d3d3d</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:textSize">14sp</item>
    </style>

    <!--收货页后textview-->
    <style name="TextViewRightStyle">
        <item name="android:singleLine">true</item>
        <item name="android:textColor">@color/black_3d3d3d</item>
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
        <item name="android:textSize">15sp</item>
    </style>

    <!--TableRowStyle-->
    <style name="TableRowStyle">
        <item name="android:layout_marginTop">@dimen/dp_10</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:padding">6dp</item>
        <item name="android:background">@drawable/bg_white_item</item>
    </style>

    <!--from 单个样式-->
    <style name="FromLinearLayoutItem">
        <item name="android:layout_margin">@dimen/dp_10</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingBottom">@dimen/dp_10</item>
        <item name="android:paddingTop">@dimen/dp_10</item>
        <item name="android:paddingLeft">@dimen/dp_10</item>
        <item name="android:paddingRight">@dimen/dp_10</item>
        <item name="android:background">@drawable/bg_white_item</item>

    </style>

    <!--开关控件样式-->
    <style name="MySwitch" parent="Theme.AppCompat.Light">
        <!-- Active thumb color & Active track color(30% transparency) switch 打开时的拇指按钮的颜色 轨迹颜色默认为30%这个颜色 -->
        <item name="colorControlActivated">@color/colorAccent</item>

        <!-- Inactive thumb color switch关闭时的拇指按钮的颜色 -->
        <item name="colorSwitchThumbNormal">@color/md_blue_500</item>

        <!-- Inactive track color(30% transparency) switch关闭时的轨迹的颜色 30%这个颜色 -->
        <item name="android:colorForeground">@color/md_blue_500</item>

        <!--使用方法： 在布局文件中给需要自定义控件中增加app:theme="@style/MySwitch"-->
    </style>

    <style name="main_menu_photo_anim">
        <item name="android:windowEnterAnimation">@anim/photo_dialog_in_anim</item>
        <item name="android:windowExitAnimation">@anim/photo_dialog_out_anim</item>
    </style>

    <!--输入框统一样式-->
    <style name="EditTextStyle">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
        <item name="android:background">@null</item>
        <item name="android:imeOptions">actionDone</item>
        <item name="android:paddingEnd">@dimen/dp_4</item>
        <item name="android:singleLine">true</item>
        <item name="android:textSize">@dimen/t24</item>
    </style>

    <!--清空数据按钮统一样式-->
    <style name="ClearImg">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_marginEnd">3dp</item>
        <item name="android:background">@android:color/transparent</item>
        <item name="android:padding">6dp</item>
        <item name="android:src">@drawable/ic_clear</item>
        <item name="android:visibility">invisible</item>
    </style>

    <!--左边统一字体-->
    <style name="tvLeftStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">@color/black_3d3d3d</item>
        <item name="android:textSize">@dimen/t24</item>
    </style>
    <!--右边走马观灯统一样式-->
    <style name="mtRightStyle">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
        <item name="android:enabled">false</item>
        <item name="android:ellipsize">marquee</item>
        <item name="android:focusable">true</item>
        <item name="android:singleLine">true</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:textColor">@color/black_3d3d3d</item>
        <item name="android:textSize">@dimen/t24</item>
    </style>
    <!--统一字体-->
    <style name="fontSize">
        <item name="android:textSize">@dimen/t24</item>
    </style>
    <!--统一下拉-->
    <style name="mSpinnerStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:ellipsize">marquee</item>
        <item name="android:focusable">true</item>
        <item name="ms_padding_top">10dp</item>
        <item name="ms_padding_bottom">10dp</item>
        <item name="ms_padding_left">10dp</item>
        <item name="ms_popup_padding_left">10dp</item>
        <item name="android:gravity">center</item>
        <item name="android:textSize">@dimen/t24</item>
    </style>

    <style name="mSpinnerStyle2">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:ellipsize">marquee</item>
        <item name="android:focusable">true</item>
        <item name="ms_padding_top">0dp</item>
        <item name="ms_padding_bottom">0dp</item>
        <item name="ms_padding_left">0dp</item>
        <item name="ms_popup_padding_left">10dp</item>
        <item name="android:gravity">center</item>
        <item name="android:textSize">@dimen/t24</item>
    </style>

    <style name="IvCover">
        <item name="android:layout_width">100dp</item>
        <item name="android:layout_height">80dp</item>
        <!--        <item name="android:background">#929292</item>-->
        <item name="android:layout_marginTop">4dp</item>
    </style>

    <!--个人中心菜单-->
    <style name="tvPersonalStyle">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
        <item name="android:drawablePadding">15dp</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:textColor">@color/font_color_3</item>
        <item name="android:textSize">@dimen/t20</item>
    </style>


    <!--弹窗输入 parent="android:Theme.Dialog" @android:style/Theme.Dialog-->
    <style name="dialog"  parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <!--边框-->
        <item name="android:windowIsFloating">true</item>
        <!--是否浮现在activity之上-->
        <item name="android:windowIsTranslucent">false</item>
        <!--半透明-->
        <item name="android:windowNoTitle">true</item>
        <!--无标题-->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--背景透明-->
        <item name="android:backgroundDimEnabled">true</item>
        <!--模糊-->

    </style>

</resources>
